Subject: RE: [Sip] VIA Header

From: Wai Wu <[email-masked]>
Date: Fri, 10 Aug 2001 10:11:59 -0400

We have custom SIP proxy product. As with every other proxy, we insert a the
proxy's Via header (with Via: and value) in the request message. So now we
have two Via headers (one for the proxy, one for the endpoint making the
request). When we get the response message back from the destination (a
Cisco 7960), there is only one Via header (with two value seperated by a
comma) in the message.
 
Wai

-----Original Message-----
From: Jasson Casey [mailto:[email-masked]]
Sent: Thursday, August 09, 2001 9:17 PM
To: Wai Wu
Subject: Re: [Sip] VIA Header

How exactly does that work, the phone is the endpoint. When it sends a
message it only has one via value (itself, or is it something to do with
multi-homing, etc). And when it receives a message it is not adding a value.
I am confused.
 
Just curious.
 
-jasson

----- Original Message ----- 
From: Wai Wu <mailto:[email-masked]>  
To: [email-masked] <mailto:[email-masked]>  
Sent: Wednesday, August 08, 2001 8:29 AM
Subject: RE: [Sip] VIA Header

Hi Christer, 
        The Cisco Sip implementation (at least for their IP phones, the ones
I am working on are CISCO IP PHONE 7960/7940s) puts values from all the VIA
headers in a single header, separated with a comma.

Wai Wu 

-----Original Message----- 
From: Christer Holmberg [ mailto:[email-masked]
<mailto:[email-masked]> ] 
Sent: Wednesday, August 08, 2001 5:57 AM 
To: Mukesh R Shah 
Cc: [email-masked] 
Subject: Re: [Sip] VIA Header 

Hi Mukesh, 

I am not really sure I understand your question, but I'll give it a try. 

In SIP you can have multiple VIA headers. The ABNF, however, also allow 
you to put all the values of those headers in a single header, separated 
with a comma. I don't think I've ever seen it in real-world use, but it 
is allowed. 

Regards, 

Christer Holmberg 
Ericsson Finland 

Mukesh R Shah wrote: 
> 
> Hi All, 
> 
> Its a basic doubt . 
> Why r we having multiple values in VIA header ? 
> What is the significance of having it? 
> Also give situation when the proxy will add multiple value to VIA header? 
> 
> Thanks in Advance, 
> Mukesh 
> 
>   ------------------------------------------------------------------------

>                                Name: InterScan_Disclaimer.txt 
>    InterScan_Disclaimer.txt    Type: Plain Text (text/plain) 
>                            Encoding: 7bit